Name:           kcm_touchpad
Version:        0.3.1
Release:        3%{?dist}
Summary:        Synaptics driver based touchpads kcontrol module

Group:          User Interfaces/Desktops
License:        GPLv2
URL:            http://kde-apps.org/content/show.php/kcm_touchpad?content=113335
Source0:        http://download.github.com/mishaaq-kcm_touchpad-00370b5.tar.gz
Source1:        kcmtouchpadrc
Patch0:         kcm_touchpad-new-systemsettings-layout.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  kdelibs4-devel gettext

%description
A KDE System Settings module to to configure synaptics based touchpads.

%prep
%setup -q -n mishaaq-kcm_touchpad-00370b5
%patch0 -p1 

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags}  -C %{_target_platform} VERBOSE=1


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}  -C %{_target_platform}

rm -rf %{buildroot}%{_kde4_docdir}/%{name}/

%find_lang %{name}

install -p -m 644 -D %{SOURCE1} %{buildroot}%{_kde4_configdir}/kcmtouchpadrc

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS LICENSE README
%{_kde4_configdir}/kcmtouchpadrc
%{_kde4_libdir}/kde4/kcm_touchpad.so
%{_kde4_datadir}/kde4/services/touchpad.desktop


%changelog
* Tue Sep 7  2010 Ryan Rix <ry@n.rix.si> - 0.3.1-3
- Update the category to adhere to new SC 4.5 systemsettings layout. Will now
  appear under the "input devices" section.

* Sat Jun 5  2010 Ryan Rix <ry@n.rix.si> - 0.3.1-2
- Ship a default config file For Greater Justice

* Sat Feb 20 2010 Ryan Rix <ry@n.rix.si> - 0.3.1-1
- New source

* Tue Nov 24 2009 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.3.0-6
- Rebuild for Qt 4.6.0 RC1 in F13 (was built against Beta 1 with unstable ABI)

* Thu Nov 12 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.3.0-5
- I'm just going to remove that BR.

* Thu Nov 12 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.3.0-4
- Bumpint spec, fixing that build require :9

* Thu Nov 12 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.3.0-3
- Added specific build require for libXi-devel because it was dying in dist-f10.

* Wed Nov 4 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.3.0-2
- Update source URL and category

* Tue Nov 3 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.3.0-1
- Updated source.
- Updated BR
- Removed now unnecessary Patch0

* Fri Oct 16 2009 Ryan Rix < phrkonaleash [AT] gmail dot com > - 0.2.1-1
- initial package
